package se.gawell.setrace.logging;


public class Slf4JLogger implements Logger {
	
	private org.slf4j.Logger logger;

	public Slf4JLogger(org.slf4j.Logger logger) {
		this.logger = logger;
	}

	@Override
	public void debug(String message, Object... parameters) {
		String messageWithoutIndexOnParameters = removeIndexesFromParameters(message);
		logger.debug(messageWithoutIndexOnParameters, parameters);
	}

	private String removeIndexesFromParameters(String message) {
		String washedMessage = message.replaceAll("\\{[0-9]+\\}", "{}");
		return washedMessage ;
	}

}
